<?php

session_start();
if (!isset($_SESSION['username'])) {
    header("Location: login_form.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>User Dashboard</title>
    <style>
        body {
            background-image: url('images/bacon_chevy.jpeg');
            background-size: cover;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        .logout-button {
            display: inline-block;
            padding: 10px 20px;
            font-size: 16px;
            color: white;
            background-color: #007BFF;
            border: none;
            border-radius: 5px;
            text-decoration: none;
            cursor: pointer;
            text-align: center;
        }
        .logout-button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <h1>Welcome, <?php echo htmlspecialchars($_SESSION['username']); ?>!</h1>
    <h2>Search Products</h2>
    <form action="handle_form_searchkeyword.php" method="GET">
        <label for="keyword">Keyword:</label>
        <input type="text" id="keyword" name="keyword">
        <button type="submit">Search</button>
    </form><br>
    <form action="handle_form_searchvaluerange.php" method="GET">
        <label for="min_price">Min Price:</label>
        <input type="number" id="min_price" name="min_price" step="0.01">
        <label for="max_price">Max Price:</label>
        <input type="number" id="max_price" name="max_price" step="0.01">
        <button type="submit">Search</button>
    </form><br>
    <form action="handle_form_searchtype.php" method="GET">
        <label for="type">Type:</label>
        <input type="text" id="type" name="type">
        <button type="submit">Search</button>
    </form><br>
    <a href="logout.php" class="logout-button">Logout</a>
</body>
</html>